Bug 1310013 - DNS server installation procedures are missing last step: DNS delegation
DNS server installation procedures are missing last step: DNS delegation
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-Linux_Domain_Identity_Management_Guide (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Aneta Šteflová Petrová
Namita Soman
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-19 04:23 EST by Petr Spacek
Modified: 2016-04-18 09:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-18 09:46:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Spacek 2016-02-19 04:23:03 EST
Description of problem:
Section
⁠3.2.4.1. Installing with an Integrated DNS Service Interactively
(Current) Last step of the procedure should be followed by additional step:

and

⁠3.2.4.2. Installing with an Integrated DNS Service Non-Interactively
(Current) Last step of the procedure should be followed by additional step:

---
9. Add DNS delegation from parent domain to the IdM DNS domain. E.g. if the IdM DNS domain is named ipa.example.com, the delegation (NS record) needs to be added into parent domain example.com.

This step needs to be repeated each time a IdM DNS server is installed or uninstalled.
---

Actual results:
User might omit DNS delegation step which will case hard-to-debug breakage later on.

Expected results:
We should remind the user to do DNS delegation properly.
Comment 2 Aneta Šteflová Petrová 2016-02-24 02:06:52 EST
Step 9 of "Installing with Integrated DNS Interactively" and step 7 of "Installing with Integrated DNS Non-Interactively" (both are part of section 3.2.4. Configuring DNS Services) now include the following:

-----
Add DNS delegation from the parent domain to the IdM DNS domain. For example, if the IdM DNS domain is ipa.example.com, add a name server (NS) record to the example.com parent domain to ensure the delegation.
Note that this step must be repeated each time an IdM DNS server is installed. 
-----

In addition, 3.3. Uninstalling an IdM Server now includes:

-----
If the server included integrated DNS, update the name server (NS) records in the parent domain to ensure they do not point to the uninstalled server. 
-----

The SME acked the updated, so I'm moving this BZ directly to VERIFIED.
Comment 4 Aneta Šteflová Petrová 2016-04-18 09:46:05 EDT
The update is available on the Customer Portal.

Note You need to log in before you can comment on or make changes to this bug.